Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Hi everybody I would like to know is it possible to install Ruby and RubyGems in apache2. Because i have already a web using apache2 and want to install a Fedena which requires Ruby and RubyGems to work and would like this site to be under main site as a subdomain.

Thanks in advance for sharing comments.

share|improve this question
    
This may help: digitalocean.com/community/articles/… –  Parto Mar 21 at 9:53

1 Answer 1

First install ruby using below command

sudo apt-get install ruby-full build-essential

So if you want to have RubyOnRails running on apache, make sure you have installed these.

sudo apt-get install apache2 apache2-mpm-prefork apache2-prefork-dev
share|improve this answer
    
But i already have apache2 installed which is current runing under my live web. –  user3425139 Mar 21 at 14:30
    
Then install the other two packages i.e. apache2-mpm-prefork apache2-prefork-dev –  Vivek Mar 21 at 14:42
    
is it not going to effect apache2 which is running currently right? –  user3425139 Mar 21 at 14:44
    
No it should not. If it does you can remove the packages using sudo apt-get purge apache2-mpm-prefork apache2-prefork-dev –  Vivek Mar 21 at 14:48
    
Hi Vivek have you ever try to install Fedena with apache2 or lampp. –  user3425139 Mar 21 at 15:14

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.